Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: peripheral::DeviceManager::Settings Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::DeviceManager::Settings Struct Reference

peripheral DeviceManager's s settings More...

## Public Attributes
ZCoordMode | zCoordMode
| Z coordinate semantics.
boolean | autoManageNewDevices
| Automatically manage newly detected devices.
float | deviceAltitude
| Altitude of device in meters.
int | presenceDetectionTimeout
| Timeout for presence detection (sec)
map< string, sensors::NumericSensor.Thresholds > | defaultThresholdsMap
| Default thresholds by peripheral device type.
int | maxActivePoweredDryContacts
| The maximum number of concurrently active powered dry contacts.
boolean | muteOtherAccessControlUnit
| Mute other access control unit (door handle) enabled.

## Detailed Description

peripheral DeviceManager's s settings

Definition at line 34 of file PeripheralDeviceManager.idl.

## Member Data Documentation

## ◆ autoManageNewDevices

boolean peripheral::DeviceManager::Settings::autoManageNewDevices

Automatically manage newly detected devices.

Definition at line 36 of file PeripheralDeviceManager.idl.

## ◆ defaultThresholdsMap

map<string, sensors::NumericSensor.Thresholds> peripheral::DeviceManager::Settings::defaultThresholdsMap

Default thresholds by peripheral device type.

Definition at line 39 of file PeripheralDeviceManager.idl.

## ◆ deviceAltitude

float peripheral::DeviceManager::Settings::deviceAltitude

Altitude of device in meters.

Definition at line 37 of file PeripheralDeviceManager.idl.

## ◆ maxActivePoweredDryContacts

int peripheral::DeviceManager::Settings::maxActivePoweredDryContacts

The maximum number of concurrently active powered dry contacts.

Definition at line 40 of file PeripheralDeviceManager.idl.

## ◆ muteOtherAccessControlUnit

boolean peripheral::DeviceManager::Settings::muteOtherAccessControlUnit

Mute other access control unit (door handle) enabled.

Definition at line 41 of file PeripheralDeviceManager.idl.

## ◆ presenceDetectionTimeout

int peripheral::DeviceManager::Settings::presenceDetectionTimeout

Timeout for presence detection (sec)

Definition at line 38 of file PeripheralDeviceManager.idl.

## ◆ zCoordMode

ZCoordMode peripheral::DeviceManager::Settings::zCoordMode

Z coordinate semantics.

Definition at line 35 of file PeripheralDeviceManager.idl.

The documentation for this struct was generated from the following file:

- PeripheralDeviceManager.idl